Subject: Re: [PATCH] PowerPC: usb ehci of_platform bindings for Sequoia 440EPx

From: Valentine Barshak <[email-masked]>
Date: Fri, 14 Sep 2007 18:31:32 +0400

Segher Boessenkool wrote:
>> EHCI OF bindings for PowerPC 440EPx Sequoia.
> 
> Those aren't bindings, they are examples.  Bindings are pieces
> of documentation that describe what device-specific properties
> mean what, what standard properties are required with what
> values, etc.
> 
> Examples are good to have, of course.
> 
> One thing you really need to document is what "ehci-be-desc"
> and friends mean.  I can give you one comment already: for
> devices that are usually little-endian, but an implementation
> implements registers as big-endian, precedent is to show that
> in the device tree by including an (empty) "big-endian" property,
> rather than inventing new "compatible" values.

I was looking at the ohci-ppc-of driver that has "ohci-bigendian" 
compatible string and enables both be-mmio and be-desc for the device in 
this case. I just wanted to separate mmio and desc stuff for ehci, since 
some devices need be-mmio only.
I'll use "big-endian" property instead of "ehci-be-mmio" compatible 
value. That's a good point, thanks.
Do I have to add "sequoia usb ehci" description to 
Documentation/powerpc/booting-without-of.txt?
Do I also have to describe ehci-ppc-of stuff in general?
BTW, I see nothing about ohci-ppc-of there.
Thanks,
Valentine.

> Segher